.TH wxSetCursorEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSetCursorEvent \- See external documentation: wxSetCursorEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxSetCursorEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsetcursorevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIset_cursor\fR
.RE
.LP
See also the message variant #wxSetCursor{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSetCursorEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
getCursor(This::wxSetCursorEvent()) -> wxCursor() (see module wxCursor)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsetcursorevent\&.html#wxsetcursoreventgetcursor>\&.
.RE
.LP
.B
getX(This::wxSetCursorEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsetcursorevent\&.html#wxsetcursoreventgetx>\&.
.RE
.LP
.B
getY(This::wxSetCursorEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsetcursorevent\&.html#wxsetcursoreventgety>\&.
.RE
.LP
.B
hasCursor(This::wxSetCursorEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsetcursorevent\&.html#wxsetcursoreventhascursor>\&.
.RE
.LP
.B
setCursor(This::wxSetCursorEvent(), Cursor::wxCursor() (see module wxCursor)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsetcursorevent\&.html#wxsetcursoreventsetcursor>\&.
.RE
